API referenceBidding Spot Orders
POST /api/SpotOrders/CancelOrders
Cancels saved Hybrid or Block orders by their Bidding order IDs. Bidding retrieves current server-side orders before requesting exchange cancellation. XBID orders must be cancelled through the XBID endpoint.
POST
/api/SpotOrders/CancelOrderscurl -X POST "/api/SpotOrders/CancelOrders" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
0
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.Spot.MarketOrderHistoryDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"orderItemId": 0,
"dateUpdated": "2026-01-15T09:30:00Z",
"orderItemStatus": 0,
"orderItemStatusText": "string",
"user": "string",
"log": "string"
}
]
}